{
	num: 1001,
	accuracy: 100,
	basePower: 0,
	category: "Special",
	name: "Absolute Zero",
	pp: 7,
	priority: 0,
	flags: {},
	target: "allAdjacentFoes",
	type: "Ice",
	basePowerCallback(pokemon, target) {
		const ratio = target.hp / target.maxhp;
		const power = Math.floor(110 * (1 + (1 - ratio)));
		return power < 110 ? 110 : power;
	},
	onHit(target, source, move) {
		let chance = 75;
		if (target.hasType("Fire")) chance = 50;
		if (target.hasType("Water")) chance = 100;
		if (this.randomChance(chance, 100)) {
			target.trySetStatus("frz", source, move);
		}
	}
}
